summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLouis Sautier <sautier.louis@gmail.com>2017-09-19 21:48:13 +0200
committerPatrice Clement <monsieurp@gentoo.org>2017-10-04 00:14:19 +0200
commit5e3a577796c6e123e4fcacc773dbe87b86d38c5c (patch)
tree5c769b917176e981d3170d54b2b544b929fe4ffc /media-video/openshot
parentmedia-libs/libopenshot-audio: remove proxy maintainer. (diff)
downloadgentoo-5e3a577796c6e123e4fcacc773dbe87b86d38c5c.tar.gz
gentoo-5e3a577796c6e123e4fcacc773dbe87b86d38c5c.tar.bz2
gentoo-5e3a577796c6e123e4fcacc773dbe87b86d38c5c.zip
media-video/openshot: version bump to 2.4.0
Closes: https://bugs.gentoo.org/631426 Package-Manager: Portage-2.3.8, Repoman-2.3.3
Diffstat (limited to 'media-video/openshot')
-rw-r--r--media-video/openshot/Manifest1
-rw-r--r--media-video/openshot/metadata.xml9
-rw-r--r--media-video/openshot/openshot-2.4.0.ebuild51
3 files changed, 53 insertions, 8 deletions
diff --git a/media-video/openshot/Manifest b/media-video/openshot/Manifest
index b79347ac26e..1a1db5b5997 100644
--- a/media-video/openshot/Manifest
+++ b/media-video/openshot/Manifest
@@ -1,3 +1,4 @@
DIST openshot-1.4.3.tar.gz 31990991 SHA256 5bebf1c59a8667b0263599544f2d23ce6be3ab79ce24a85b766e1e39cab859d0 SHA512 f3221c3e508ccf61d4fd2771de47f42ddb1a78996853011ee336e8ccf842a0fd97707a60c677e1465a89e6eb67911b6eb98b002959f8a29ac9e31924bbb6fcda WHIRLPOOL 4fd8d5b5db2923c8b7349032847087b9cf4ccdbade206c5c6cc9aac27ace6e99c6053bd1184cf14b20c80b4f666baf356798a5b6a8d6c7c737a9a986894943af
DIST openshot-qt-2.2.0.tar.gz 94924926 SHA256 8de6e193784af3b9149ea13c0552d4556df33396452360d5f9ac30682148e6f7 SHA512 696a95fe1438b8a62261c41e5d495ef1e5107c5e4ee0ab80a980ba5e0e3b7fb5002f1bb780120f9f46a9f3c1fed2de858b61dc38d897bd4235358d617b2406b0 WHIRLPOOL 08a8861b8893c94821bc4dfbf81bfa54101fb34af1f30f15cb26b284f1970bc9d2901e05f7b3a1f159a0690806e64c2ca345f3a56d37f016ec17e1db3e7d6204
DIST openshot-qt-2.3.4.tar.gz 60646277 SHA256 b110eb144a3d3dcfe08f112c66ccc9265620b6fcf540cb690441bc47bf91eaec SHA512 06faaaf1e3e3d996fafca8c7bde5a7fe8b9c66efb03c85448ab19bba85508d7c6334ba43a1368b20d7608cd34526c653e1956aa51ce05099be314538682fd484 WHIRLPOOL dbed47fa4b9d220c75b8cec2e314beca4ba5f2cca687d016b3950aedd93e6e6f1b4d243ddf31b41d5a22d652f2257f725b6e4b85a2882ad1d5938409e1469b20
+DIST openshot-qt-2.4.0.tar.gz 60710408 SHA256 ca6b746671c931dd76af93f31fe3d85ce7f122002013b3a24e45e8222fdbb348 SHA512 95778effa5b02a467c44741384b0f43bf90343d4f450d5fcc2319ff1c3bee212338435dd8c781e0ff111a704aacdce3dbfb6bdcf62afa1f59bbb0668b58074ca WHIRLPOOL 7d0736a2b58fee3af6a54c65da89b8c33b7bdb73d73d708e3e0b48865c981b4f5fa1ec43a9d521e25b72242b1c75cb06731382edbcdc1f5f1575ab8ed5fa752c
diff --git a/media-video/openshot/metadata.xml b/media-video/openshot/metadata.xml
index 1384ef3130c..6dbde2947b3 100644
--- a/media-video/openshot/metadata.xml
+++ b/media-video/openshot/metadata.xml
@@ -1,14 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>sautier.louis@gmail.com</email>
- <name>Louis Sautier</name>
- </maintainer>
- <maintainer type="project">
- <email>proxy-maint@gentoo.org</email>
- <name>Proxy Maintainers</name>
- </maintainer>
+ <!-- maintainer-needed -->
<longdescription>Free, open-source, non-linear video editor to create and edit videos and movies</longdescription>
<upstream>
<remote-id type="launchpad">openshot</remote-id>
diff --git a/media-video/openshot/openshot-2.4.0.ebuild b/media-video/openshot/openshot-2.4.0.ebuild
new file mode 100644
index 00000000000..0ed0f8455c6
--- /dev/null
+++ b/media-video/openshot/openshot-2.4.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_REQ_USE=xml
+PYTHON_COMPAT=( python3_{4,5,6} )
+DISTUTILS_SINGLE_IMPL=1
+
+inherit distutils-r1 gnome2-utils versionator xdg-utils
+
+MY_PN="${PN}-qt"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Free, open-source, non-linear video editor to create and edit videos and movies"
+HOMEPAGE="http://www.openshot.org/ https://launchpad.net/openshot"
+SRC_URI="https://launchpad.net/${PN}/$(get_version_component_range 1-2)/${PV}/+download/${MY_P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="1"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/PyQt5[svg,webkit,${PYTHON_USEDEP}]
+ >=media-libs/libopenshot-0.1.8[python,${PYTHON_USEDEP}]
+ dev-python/httplib2[${PYTHON_USEDEP}]
+ dev-python/pyzmq[${PYTHON_USEDEP}]
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+S="${WORKDIR}"
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+ # prevent setup.py from trying to update MIME databases
+ sed -i 's/^ROOT =.*/ROOT = False/' setup.py || die
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ gnome2_icon_cache_update
+}